#
# Conditional build:
%bcond_without	selinux		# build without SELinux support
#
Summary:	Utilities for managing processes on your system
Summary(de.UTF-8):	Utilities zum Verwalten der Prozesse auf Ihrem System
Summary(es.UTF-8):	Más herramientas de tipo ps para el sistema de archivos /proc
Summary(fr.UTF-8):	Autres outils du type ps pour le système de fichiers /proc
Summary(ko.UTF-8):	시스템에서 프로세서를 관리하는 도구
Summary(pl.UTF-8):	Narzędzia do kontroli procesów
Summary(pt_BR.UTF-8):	Mais ferramentas do tipo ps para o sistema de arquivos /proc
Summary(ru.UTF-8):	Утилиты работы с процессами
Summary(tr.UTF-8):	/proc dosya sistemi için ps tipi araçlar
Summary(uk.UTF-8):	Утиліти роботи з процесами
Name:		psmisc
Version:	22.21
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/psmisc/%{name}-%{version}.tar.gz
# Source0-md5:	935c0fd6eb208288262b385fa656f1bf
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	9add7665e440bbd6b0b4f9293ba8b86d
Patch0:		%{name}-pl.po-update.patch
URL:		http://psmisc.sourceforge.net/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-tools >= 0.16.1
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	ncurses-devel >= 5.0
Conflicts:	heartbeat < 2.0.8-0.2
Conflicts:	rc-scripts < 0.4.1.6-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser. The pstree command displays a tree
structure of all of the running processes on your system. The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name. The fuser command identifies the PIDs of
processes that are using specified files or filesystems.

%description -l de.UTF-8
Das psmisc-Paket enthält Utilities zum Verwalten vom Prozessen auf
Ihrem System: pstree, killall und fuser. Der pstree-Befehl zeigt eine
Baumstruktur von allen laufenden Prozessen an. killall schickt
angegebenen Programmen ein Signal (SIGTERM, falls nichts anderes
angegeben wird). fuser identifiziert die PIDs (Prozess-IDs) von
Prozessen, die bestimmte Dateien oder Dateisysteme benutzen.

%description -l es.UTF-8
Este paquete contiene programas para enseñar un árbol de procesos,
saber que usuarios tienen archivo abierto y mandar señales a los
procesos por nombre.

%description -l fr.UTF-8
Ce paquetage contient les programmes pour afficher une arborescence de
processus, trouver quel utilisateur a un fichier ouvert et envoyer des
signaux aux processes par leurs noms.

%description -l pl.UTF-8
Ten pakiet zawiera programy umożliwiające wyświetlenie drzewa
procesów, znalezienie użytkownika, który otworzył dany plik i wysłanie
sygnału do procesu o zadanej nazwie.

%description -l pt_BR.UTF-8
Este pacote contém programas para mostrar uma árvore de processos,
saber quais usuários têm arquivo aberto e mandar sinais aos processos
por nome.

%description -l ru.UTF-8
В этот пакет включены программы для отображения дерева процессов,
получения информации о том, кем открыт файл и для посылки сигналов
процессам по имени процесса.

%description -l tr.UTF-8
Bu paket, süreçlerin ağaç yapısını göstermek, hangi kullanıcıların
açık dosyası olduğunu bulmak ve süreçlere isimleri ile sinyal
göndermek için gerekli programları içerir.

%description -l uk.UTF-8
Цей пакет містить програми для відображення дерева процесів, посилки
сигналів процесам по імені процеса та отримання інформації про те, хто
відкрив файл.

%prep
%setup -q
#%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CFLAGS="%{rpmcflags} -D_GNU_SOURCE -I/usr/include/ncurses"
%configure \
	--enable-timeout-stat \
	%{?with_selinux:--enable-selinux}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.psmisc-non-english-man-pages

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/fuser
%attr(755,root,root) %{_bindir}/killall
%attr(755,root,root) %{_bindir}/peekfd
%attr(755,root,root) %{_bindir}/prtstat
%attr(755,root,root) %{_bindir}/pstree
%attr(755,root,root) %{_bindir}/pstree.x11
%{_mandir}/man1/fuser.1*
%{_mandir}/man1/killall.1*
%{_mandir}/man1/peekfd.1*
%{_mandir}/man1/prtstat.1*
%{_mandir}/man1/pstree.1*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%changelog
* Sun May 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/psmisc.git;a=log;h=master

* Sun May 24 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6467360
- up to 22.21

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6355d5b
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 72338e3
- updated gettext BR

* Thu Nov 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cd3a20
- up to 22.20; pstree build fix from git

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 59b976c
- rel 4; more fakerootpid fixes

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> da07251
- rel 3; small fix to fakerootpid patch

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a0be264
- rel 2; add timeout patch (from upstream); add fakerootpid patch that makes pstree work from user on kernel with hidepid feature

* Wed Mar 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 43803e9
- use timeout on stat calls

* Mon Feb 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 62522db
- pl.po-update patch is back (updated)
- updated ac version

* Sun Feb 26 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ede06d
- up to 22.16; pl.po patch needs update

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3bd41b5
- rel 2; fix pstree abort

* Sun Jan 29 2012 Adam Gołębiowski <adamg@pld-linux.org> 6268b1e
- updated to 22.15

* Mon Jan 02 2012 lisu <lisu@pld-linux.org> 1f4d4f8
- rel 4

* Mon Sep 12 2011 lisu <lisu@pld-linux.org> 1979c5f
- rel 3

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5da808e
- release 2

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d2802b
- updated to 22.14
- added pl.po-update patch

* Wed Sep 08 2010 Kacper Kornet <draenog@pld-linux.org> 39c935e
- up to 22.13
- remove build patch (applied upstream)

* Fri Apr 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1237563
- rel 2

* Fri Apr 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 3e3a9fa
- GPL v2+

* Fri Apr 09 2010 Jakub Bogusz <qboosh@pld-linux.org> c5ab1b2
- updated to 22.11 (oldfuser disappeared, prtstat appeared)
- removed pl.po-update patch (already obsolete)

